# Uses of Interface
org.springframework.web.server.WebSession

Packages that use WebSession
Package
Description
org.springframework.web.server
Core interfaces and classes for Spring's generic, reactive web support.
org.springframework.web.server.adapter
Implementations to adapt to the underlying `org.springframework.http.client.reactive` reactive HTTP adapter and `HttpHandler`.
org.springframework.web.server.session
Auxiliary interfaces and implementation classes for `WebSession` support.

## Uses of WebSession in org.springframework.web.server

Methods in org.springframework.web.server that return types with arguments of type WebSession
Modifier and Type
Method
Description
`reactor.core.publisher.Mono<WebSession>`
ServerWebExchange.`getSession()`
Return the web session for the current request.
`reactor.core.publisher.Mono<WebSession>`
ServerWebExchangeDecorator.`getSession()`

## Uses of WebSession in org.springframework.web.server.adapter

Methods in org.springframework.web.server.adapter that return types with arguments of type WebSession
Modifier and Type
Method
Description
`reactor.core.publisher.Mono<WebSession>`
DefaultServerWebExchange.`getSession()`

## Uses of WebSession in org.springframework.web.server.session

Methods in org.springframework.web.server.session that return types with arguments of type WebSession
Modifier and Type
Method
Description
`reactor.core.publisher.Mono<WebSession>`
InMemoryWebSessionStore.`createWebSession()`
`reactor.core.publisher.Mono<WebSession>`
WebSessionStore.`createWebSession()`
Create a new WebSession.
`reactor.core.publisher.Mono<WebSession>`
DefaultWebSessionManager.`getSession(ServerWebExchange exchange)`
`reactor.core.publisher.Mono<WebSession>`
WebSessionManager.`getSession(ServerWebExchange exchange)`
Return the `WebSession` for the given exchange.
`Map<String,WebSession>`
InMemoryWebSessionStore.`getSessions()`
Return an unmodifiable copy of the map of sessions.
`reactor.core.publisher.Mono<WebSession>`
InMemoryWebSessionStore.`retrieveSession(String id)`
`reactor.core.publisher.Mono<WebSession>`
WebSessionStore.`retrieveSession(String sessionId)`
Return the WebSession for the given id.
`reactor.core.publisher.Mono<WebSession>`
InMemoryWebSessionStore.`updateLastAccessTime(WebSession session)`
`reactor.core.publisher.Mono<WebSession>`
WebSessionStore.`updateLastAccessTime(WebSession webSession)`
Update the last accessed timestamp to "now".
Methods in org.springframework.web.server.session with parameters of type WebSession
Modifier and Type
Method
Description
`reactor.core.publisher.Mono<WebSession>`
InMemoryWebSessionStore.`updateLastAccessTime(WebSession session)`
`reactor.core.publisher.Mono<WebSession>`
WebSessionStore.`updateLastAccessTime(WebSession webSession)`
Update the last accessed timestamp to "now".